Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaUtilityIdentifier

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.module.AbstractEnumeratedModuleIdentifier
                  |
                  +--uk.ac.man.bioinf.apps.cinema.utils.CinemaUtilityIdentifier

All Implemented Interfaces:
  ModuleIdentifier

public class CinemaUtilityIdentifier
extends AbstractEnumeratedModuleIdentifier

CinemaUtilityIdentifier.java Created: Thu May 25 14:27:34 2000

Version:
  $Id: CinemaUtilityIdentifier.java,v 1.14 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static CinemaUtilityIdentifier` | `CINEMA_FILE_PERSIST`
`static CinemaUtilityIdentifier` | `CINEMA_INVOKER`
`static CinemaUtilityIdentifier` | `CINEMA_MENU_BUILDER`
`static CinemaUtilityIdentifier` | `CINEMA_MULTIPLE_CONSENSUS`
`static CinemaUtilityIdentifier` | `CINEMA_PERSIST`
`static CinemaUtilityIdentifier` | `CINEMA_REGEXP`
`static CinemaUtilityIdentifier` | `CINEMA_RESIZE_ELEMENTS`
`static CinemaUtilityIdentifier` | `CINEMA_SLAVE_VIEWER`
`static CinemaUtilityIdentifier` | `CINEMA_STATUS`

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Methods inherited from class uk.ac.man.bioinf.module.AbstractEnumeratedModuleIdentifier
`getAllIdentifiers, getClassName, getModuleName, isInterface, toString`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CINEMA_REGEXP

    public static final CinemaUtilityIdentifier CINEMA_REGEXP

### CINEMA_STATUS

    public static final CinemaUtilityIdentifier CINEMA_STATUS

### CINEMA_MULTIPLE_CONSENSUS

    public static final CinemaUtilityIdentifier CINEMA_MULTIPLE_CONSENSUS

### CINEMA_INVOKER

    public static final CinemaUtilityIdentifier CINEMA_INVOKER

### CINEMA_SLAVE_VIEWER

    public static final CinemaUtilityIdentifier CINEMA_SLAVE_VIEWER

### CINEMA_RESIZE_ELEMENTS

    public static final CinemaUtilityIdentifier CINEMA_RESIZE_ELEMENTS

### CINEMA_MENU_BUILDER

    public static final CinemaUtilityIdentifier CINEMA_MENU_BUILDER

### CINEMA_PERSIST

    public static final CinemaUtilityIdentifier CINEMA_PERSIST

### CINEMA_FILE_PERSIST

    public static final CinemaUtilityIdentifier CINEMA_FILE_PERSIST

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD